


public class DocumentProofAnosov {

    public static void setup(Manager M,int n) {
	int[] a={1,0,0,1,1,1};
	DocumentProof.setDisplay(M,a);
	M.C.TC.FILL.val=1; 
	M.C.TC.setPiece(n,M);
    }

    public static String go51(Manager M) {
	setup(M,7);
        M.P.setScales(150,550,40);
	int[] t={6,7,8,9,10,11,12,13};
	try {M.PR.HP.setPieces(t);}
	catch(Exception e) {}

	String S="Let L be the union of the 8 light red pieces. From previous steps, we know that there is a Cantor set JC of area 0 such that every point of J-JC is mapped into L by some element of the heat semigroup.";

	S=S+"\n\nLet T be the piecewise defined map which agrees with the associated primary map on each piece of L.  The action of a power of T on any point of L agrees with the action of some element of he heat semigroup.";

	S=S+"\n\nEach piece of L maps into L \u222A M, where M is a union of pieces which map entirely into C.  Therefore, J \u2229 L consists of those points which are mapped into L by every power of T.";

return(S);

    }


    public static String go52(Manager M) {
	setup(M,7);
        M.P.setScales(150,550,40);
	int[] t={6,40,8};
	try{M.PR.HP.setPieces(t);}
	catch(Exception e) {}

	String S="There is one more topological point we want to make.  Each piece L is mapped in such a way that it stretches entirely across L, from top to bottom.  One proves this by looking at what the mapped assigned to L does to the pieces T and B which share the top and bottom edge with L.";

	S=S+"\n\nWe will illustrate this with Piece 6.  Call this piece P.  The map associated to Piece 6 is M021.  If you select B=piece 40 (below P) and then change the map back to M021, you will see that M021(B) lies entirely above L.  At the same time, if you choose the piece T=Piece 8 (on top of P) and then change the map back to M021 you will see that M021(T) lies entirely beneath L.";

	S=S+"\n\nThe two pieces B and T are just introduced as a device to understand that happens to the bottom and top edges of P.  We do it this way so that we don't have to write a special program to deal with edges.  Our general method is explained in the 'algebra' section of the proof.";
return(S);

    }



    public static String go53(Manager M) {
	setup(M,7);
        M.P.setScales(150,550,40);
	int[] t={6,7,8,9,10,11,12,13};
	try{M.PR.HP.setPieces(t);}
	catch(Exception e) {}

	String S="We check that det dT does not vanish on each piece of L, so that T is a local homeomorphism on each piece.";


	S=S+"\n\nWe also check that, at each point of L, dT maps the acute cone defined by the vectors\n\n(2,1) and (0,1)\n\n into itself in an expanding way.  This hyperbolicity combines with the local homeomorphism result to show that T is a homeomorphism when restricted to each piece.";

	S=S+"\n\nThe hyperbolicity also implies that L \u2229 J is a Cantor lamination of 0 area. Each leaf of the foliation intersects this Cantor lamination in a Cantor set.  Every point of J-JC eventually maps into L \u2229 J.  This completes the proof of the second claim about J.";

	S=S+"\n\nWe also check that dT always maps the vector (2,-1) into the (-,-) quadrant. This fact, together with the hyperbolicity already established, implies that each strand of the Cantor lamination points in the acute cone defined by (2,1) and (2,-1).  This is a way of saying that the Cantor lamination is more or less horizontal.";

return(S);

    }


}
