import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.math.*;


public class MonitorTests {
    int X,Y; //location of control panel 
    ListenSquare TOTAL;
    int STATE;
    long TIME;
    int[] DEPTH=new int[4];
    String[] S=new String[4];

    public MonitorTests() {
	X=113;
	Y=10;
	TOTAL=new ListenSquare(X,Y-5,200,63);
	STATE=0;
	for(int i=0;i<4;++i) S[i]="";
	TIME=0;
    }

    public void render(Graphics2D g) {
	if(STATE==-1) return;
	drawMarkings(g);
	drawMessage(g);
	drawDepthMonitor(g);
    }


    public void drawMessage(Graphics2D g) {
	for(int i=0;i<3;++i) {
	    g.drawString(S[i],X+5,Y+9+16*i);
	}
    }

    public void drawMarkings(Graphics2D g) {
        g.setFont(new Font("Helvetica",Font.PLAIN,12));
	Color[] C={new Color(0,0,140),new Color(20,40,255),new Color(200,0,0)};
	TOTAL.render(g,C[STATE]);
    }

    public void drawDepthMonitor(Graphics2D g) {
	g.setColor(new Color(0,0,255));
	g.fillRect(X,Y+46,12*DEPTH[1],12);
	g.setColor(Color.white);
	g.drawRect(X,Y+46,12*DEPTH[1],12);

	g.setColor(new Color(255,50,0));
	g.fillRect(X,Y+46,12*DEPTH[0],12);
	g.setColor(Color.white);
	g.drawRect(X,Y+46,12*DEPTH[0],12);
	Integer I=new Integer(DEPTH[2]+1);
	Long J=new Long(TIME);
	g.setColor(Color.white);
	g.drawString("count: "+I.toString(),X+5,Y+41);
	g.drawString("time: "+J.toString()+" ms.",X+75,Y+41);
    }
}


